﻿// ------------------------------------------------------------------------------
//  <auto-generated>
//      This code was generated by SpecFlow (http://www.specflow.org/).
//      SpecFlow Version:1.9.0.77
//      SpecFlow Generator Version:1.9.0.0
//      Runtime Version:4.0.30319.18444
// 
//      Changes to this file may cause incorrect behavior and will be lost if
//      the code is regenerated.
//  </auto-generated>
// ------------------------------------------------------------------------------
#region Designer generated code
#pragma warning disable
namespace WSS.AAT.Scenarios.PriceChangesCreation
{
    using TechTalk.SpecFlow;
    
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("TechTalk.SpecFlow", "1.9.0.77")]
    [System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
    [NUnit.Framework.TestFixtureAttribute()]
    [NUnit.Framework.DescriptionAttribute("Price Change Dashboard")]
    [NUnit.Framework.CategoryAttribute("PriceChange")]
    public partial class PriceChangeDashboardFeature
    {
        
        private static TechTalk.SpecFlow.ITestRunner testRunner;
        
#line 1 "PriceChangeDashboard.feature"
#line hidden
        
        [NUnit.Framework.TestFixtureSetUpAttribute()]
        public virtual void FeatureSetup()
        {
            testRunner = TechTalk.SpecFlow.TestRunnerManager.GetTestRunner();
            TechTalk.SpecFlow.FeatureInfo featureInfo = new TechTalk.SpecFlow.FeatureInfo(new System.Globalization.CultureInfo("en-US"), "Price Change Dashboard", "", ProgrammingLanguage.CSharp, new string[] {
                        "PriceChange"});
            testRunner.OnFeatureStart(featureInfo);
        }
        
        [NUnit.Framework.TestFixtureTearDownAttribute()]
        public virtual void FeatureTearDown()
        {
            testRunner.OnFeatureEnd();
            testRunner = null;
        }
        
        [NUnit.Framework.SetUpAttribute()]
        public virtual void TestInitialize()
        {
        }
        
        [NUnit.Framework.TearDownAttribute()]
        public virtual void ScenarioTearDown()
        {
            testRunner.OnScenarioEnd();
        }
        
        public virtual void ScenarioSetup(TechTalk.SpecFlow.ScenarioInfo scenarioInfo)
        {
            testRunner.OnScenarioStart(scenarioInfo);
        }
        
        public virtual void ScenarioCleanup()
        {
            testRunner.CollectScenarioErrors();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Price Changes Dashboard shows number of only latest Overdue Price Changes for SKU" +
            "")]
        public virtual void PriceChangesDashboardShowsNumberOfOnlyLatestOverduePriceChangesForSKU()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Price Changes Dashboard shows number of only latest Overdue Price Changes for SKU" +
                    "", ((string[])(null)));
#line 4
this.ScenarioSetup(scenarioInfo);
#line 5
testRunner.Given("Price Change table is empty", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line hidden
            TechTalk.SpecFlow.Table table1 = new TechTalk.SpecFlow.Table(new string[] {
                        "SKU Number",
                        "Is Non-Stock Item",
                        "Is Obsolete",
                        "Is Auto Apply Price Changes",
                        "On Hand Stock Quantity",
                        "Mark-down Stock Quantity"});
            table1.AddRow(new string[] {
                        "100004",
                        "True",
                        "False",
                        "False",
                        "8",
                        "2"});
            table1.AddRow(new string[] {
                        "100005",
                        "False",
                        "True",
                        "False",
                        "0",
                        "1"});
#line 6
testRunner.And("Stock Master contained next data for SKUs:", ((string)(null)), table1, "And ");
#line hidden
            TechTalk.SpecFlow.Table table2 = new TechTalk.SpecFlow.Table(new string[] {
                        "SkuNumber",
                        "Date",
                        "Priority",
                        "Event number",
                        "Price",
                        "Status",
                        "Apply Date",
                        "Shelf Edge",
                        "Label small",
                        "Label medium",
                        "Label large"});
            table2.AddRow(new string[] {
                        "100004",
                        "5 days before today",
                        "10",
                        "000002",
                        "6",
                        "U",
                        "not set",
                        "False",
                        "True",
                        "False",
                        "False"});
            table2.AddRow(new string[] {
                        "100004",
                        "4 days before today",
                        "10",
                        "000002",
                        "6",
                        "U",
                        "not set",
                        "False",
                        "True",
                        "False",
                        "False"});
            table2.AddRow(new string[] {
                        "100004",
                        "2 days before today",
                        "10",
                        "000002",
                        "6",
                        "U",
                        "not set",
                        "False",
                        "True",
                        "False",
                        "False"});
            table2.AddRow(new string[] {
                        "100005",
                        "20 days before today",
                        "10",
                        "000004",
                        "25.00",
                        "S",
                        "not set",
                        "False",
                        "False",
                        "True",
                        "False"});
            table2.AddRow(new string[] {
                        "100005",
                        "5 days before today",
                        "10",
                        "000004",
                        "20.00",
                        "U",
                        "not set",
                        "True",
                        "True",
                        "True",
                        "False"});
            table2.AddRow(new string[] {
                        "100005",
                        "3 weeks before today",
                        "10",
                        "000004",
                        "24.00",
                        "S",
                        "not set",
                        "False",
                        "False",
                        "True",
                        "False"});
#line 10
testRunner.When("the following price change events exist in system without exact dates:", ((string)(null)), table2, "When ");
#line 18
testRunner.Then("Number of Price Changes including Stock not held by Store that are still pending " +
                    "is 2", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 19
testRunner.And("Number of Price Changes including Stock not held by Store that are Overdue is 2", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 20
testRunner.And("Number of Price Changes including Stock not held by Store for Today is 4", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Price Changes Dashboard shows number of all Price Changes for Today for SKU")]
        public virtual void PriceChangesDashboardShowsNumberOfAllPriceChangesForTodayForSKU()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Price Changes Dashboard shows number of all Price Changes for Today for SKU", ((string[])(null)));
#line 22
this.ScenarioSetup(scenarioInfo);
#line 23
testRunner.Given("Price Change table is empty", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line hidden
            TechTalk.SpecFlow.Table table3 = new TechTalk.SpecFlow.Table(new string[] {
                        "SKU Number",
                        "Is Non-Stock Item",
                        "Is Obsolete",
                        "Is Auto Apply Price Changes",
                        "On Hand Stock Quantity",
                        "Mark-down Stock Quantity"});
            table3.AddRow(new string[] {
                        "100004",
                        "True",
                        "False",
                        "False",
                        "8",
                        "2"});
            table3.AddRow(new string[] {
                        "100005",
                        "False",
                        "True",
                        "False",
                        "0",
                        "1"});
#line 24
testRunner.And("Stock Master contained next data for SKUs:", ((string)(null)), table3, "And ");
#line hidden
            TechTalk.SpecFlow.Table table4 = new TechTalk.SpecFlow.Table(new string[] {
                        "SkuNumber",
                        "Date",
                        "Priority",
                        "Event number",
                        "Price",
                        "Status",
                        "Apply Date",
                        "Shelf Edge",
                        "Label small",
                        "Label medium",
                        "Label large"});
            table4.AddRow(new string[] {
                        "100004",
                        "5 days after today",
                        "10",
                        "000002",
                        "6",
                        "U",
                        "not set",
                        "False",
                        "True",
                        "False",
                        "False"});
            table4.AddRow(new string[] {
                        "100004",
                        "4 days after today",
                        "10",
                        "000002",
                        "6",
                        "U",
                        "not set",
                        "False",
                        "True",
                        "False",
                        "False"});
            table4.AddRow(new string[] {
                        "100004",
                        "tomorrow",
                        "10",
                        "000002",
                        "6",
                        "U",
                        "not set",
                        "False",
                        "True",
                        "False",
                        "False"});
            table4.AddRow(new string[] {
                        "100005",
                        "1 week after today",
                        "10",
                        "000004",
                        "25.00",
                        "U",
                        "not set",
                        "False",
                        "False",
                        "True",
                        "False"});
            table4.AddRow(new string[] {
                        "100005",
                        "3 weeks after today",
                        "10",
                        "000004",
                        "20.00",
                        "U",
                        "not set",
                        "True",
                        "True",
                        "True",
                        "False"});
            table4.AddRow(new string[] {
                        "100005",
                        "tomorrow",
                        "10",
                        "000004",
                        "24.00",
                        "U",
                        "not set",
                        "False",
                        "False",
                        "True",
                        "False"});
#line 28
testRunner.When("the following price change events exist in system without exact dates:", ((string)(null)), table4, "When ");
#line 36
testRunner.Then("Number of Price Changes including Stock not held by Store that are still pending " +
                    "is 5", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 37
testRunner.And("Number of Price Changes including Stock not held by Store that are Overdue is 0", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 38
testRunner.And("Number of Price Changes including Stock not held by Store for Today is 5", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Price Changes Dashboard shows only Unapplied Price Changes")]
        public virtual void PriceChangesDashboardShowsOnlyUnappliedPriceChanges()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Price Changes Dashboard shows only Unapplied Price Changes", ((string[])(null)));
#line 40
this.ScenarioSetup(scenarioInfo);
#line 41
testRunner.Given("Price Change table is empty", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line hidden
            TechTalk.SpecFlow.Table table5 = new TechTalk.SpecFlow.Table(new string[] {
                        "SKU Number",
                        "Is Non-Stock Item",
                        "Is Obsolete",
                        "Is Auto Apply Price Changes",
                        "On Hand Stock Quantity",
                        "Mark-down Stock Quantity"});
            table5.AddRow(new string[] {
                        "100004",
                        "True",
                        "False",
                        "False",
                        "8",
                        "2"});
            table5.AddRow(new string[] {
                        "100005",
                        "False",
                        "True",
                        "False",
                        "0",
                        "1"});
#line 42
testRunner.And("Stock Master contained next data for SKUs:", ((string)(null)), table5, "And ");
#line hidden
            TechTalk.SpecFlow.Table table6 = new TechTalk.SpecFlow.Table(new string[] {
                        "SkuNumber",
                        "Date",
                        "Priority",
                        "Event number",
                        "Price",
                        "Status",
                        "Apply Date",
                        "Shelf Edge",
                        "Label small",
                        "Label medium",
                        "Label large"});
            table6.AddRow(new string[] {
                        "100004",
                        "5 days after today",
                        "10",
                        "000002",
                        "6",
                        "U",
                        "not set",
                        "False",
                        "True",
                        "False",
                        "False"});
            table6.AddRow(new string[] {
                        "100004",
                        "4 days after today",
                        "10",
                        "000002",
                        "6",
                        "S",
                        "not set",
                        "False",
                        "True",
                        "False",
                        "False"});
            table6.AddRow(new string[] {
                        "100004",
                        "tomorrow",
                        "10",
                        "000002",
                        "6",
                        "U",
                        "not set",
                        "False",
                        "True",
                        "False",
                        "False"});
            table6.AddRow(new string[] {
                        "100005",
                        "1 week after today",
                        "10",
                        "000004",
                        "25.00",
                        "U",
                        "not set",
                        "False",
                        "False",
                        "True",
                        "False"});
            table6.AddRow(new string[] {
                        "100005",
                        "3 weeks after today",
                        "10",
                        "000004",
                        "20.00",
                        "S",
                        "not set",
                        "True",
                        "True",
                        "True",
                        "False"});
            table6.AddRow(new string[] {
                        "100005",
                        "tomorrow",
                        "10",
                        "000004",
                        "24.00",
                        "U",
                        "not set",
                        "False",
                        "False",
                        "True",
                        "False"});
#line 46
testRunner.When("the following price change events exist in system without exact dates:", ((string)(null)), table6, "When ");
#line 54
testRunner.Then("Number of Price Changes including Stock not held by Store that are still pending " +
                    "is 4", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 55
testRunner.And("Number of Price Changes including Stock not held by Store that are Overdue is 0", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 56
testRunner.And("Number of Price Changes including Stock not held by Store for Today is 4", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Price Change Dashboard does not show Price Changes with all Label flags in False")]
        public virtual void PriceChangeDashboardDoesNotShowPriceChangesWithAllLabelFlagsInFalse()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Price Change Dashboard does not show Price Changes with all Label flags in False", ((string[])(null)));
#line 58
this.ScenarioSetup(scenarioInfo);
#line 59
testRunner.Given("Price Change table is empty", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line hidden
            TechTalk.SpecFlow.Table table7 = new TechTalk.SpecFlow.Table(new string[] {
                        "SKU Number",
                        "Is Non-Stock Item",
                        "Is Obsolete",
                        "Is Auto Apply Price Changes",
                        "On Hand Stock Quantity",
                        "Mark-down Stock Quantity"});
            table7.AddRow(new string[] {
                        "100004",
                        "True",
                        "False",
                        "False",
                        "8",
                        "2"});
            table7.AddRow(new string[] {
                        "100005",
                        "False",
                        "True",
                        "False",
                        "0",
                        "1"});
#line 60
testRunner.And("Stock Master contained next data for SKUs:", ((string)(null)), table7, "And ");
#line hidden
            TechTalk.SpecFlow.Table table8 = new TechTalk.SpecFlow.Table(new string[] {
                        "SkuNumber",
                        "Date",
                        "Priority",
                        "Event number",
                        "Price",
                        "Status",
                        "Apply Date",
                        "Shelf Edge",
                        "Label small",
                        "Label medium",
                        "Label large"});
            table8.AddRow(new string[] {
                        "100004",
                        "4 days before today",
                        "10",
                        "000002",
                        "6",
                        "U",
                        "not set",
                        "False",
                        "False",
                        "False",
                        "False"});
            table8.AddRow(new string[] {
                        "100004",
                        "6 days after today",
                        "10",
                        "000002",
                        "6",
                        "U",
                        "not set",
                        "False",
                        "True",
                        "False",
                        "False"});
            table8.AddRow(new string[] {
                        "100005",
                        "5 days before today",
                        "10",
                        "000004",
                        "20.00",
                        "U",
                        "not set",
                        "True",
                        "True",
                        "True",
                        "False"});
            table8.AddRow(new string[] {
                        "100005",
                        "6 days after today",
                        "10",
                        "000004",
                        "21.00",
                        "U",
                        "not set",
                        "True",
                        "True",
                        "True",
                        "False"});
#line 64
testRunner.When("the following price change events exist in system without exact dates:", ((string)(null)), table8, "When ");
#line 70
testRunner.Then("Number of Price Changes including Stock not held by Store that are still pending " +
                    "is 3", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 71
testRunner.And("Number of Price Changes including Stock not held by Store for Today is 4", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 72
testRunner.And("Number of Price Changes including Stock not held by Store that are Overdue is 1", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Price Change Dashboard does not show Non-Standart Products with zero Stock On Han" +
            "d Quantity")]
        public virtual void PriceChangeDashboardDoesNotShowNon_StandartProductsWithZeroStockOnHandQuantity()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Price Change Dashboard does not show Non-Standart Products with zero Stock On Han" +
                    "d Quantity", ((string[])(null)));
#line 74
this.ScenarioSetup(scenarioInfo);
#line 75
testRunner.Given("Price Change table is empty", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line hidden
            TechTalk.SpecFlow.Table table9 = new TechTalk.SpecFlow.Table(new string[] {
                        "SKU Number",
                        "Is Non-Stock Item",
                        "Is Obsolete",
                        "Is Auto Apply Price Changes",
                        "On Hand Stock Quantity",
                        "Mark-down Stock Quantity"});
            table9.AddRow(new string[] {
                        "100005",
                        "False",
                        "True",
                        "False",
                        "0",
                        "1"});
            table9.AddRow(new string[] {
                        "100009",
                        "False",
                        "False",
                        "True",
                        "-6",
                        "6"});
#line 76
testRunner.And("Stock Master contained next data for SKUs:", ((string)(null)), table9, "And ");
#line hidden
            TechTalk.SpecFlow.Table table10 = new TechTalk.SpecFlow.Table(new string[] {
                        "SkuNumber",
                        "Date",
                        "Priority",
                        "Event number",
                        "Price",
                        "Status",
                        "Apply Date",
                        "Shelf Edge",
                        "Label small",
                        "Label medium",
                        "Label large"});
            table10.AddRow(new string[] {
                        "100005",
                        "5 days before today",
                        "10",
                        "000004",
                        "20.00",
                        "U",
                        "not set",
                        "True",
                        "True",
                        "True",
                        "False"});
            table10.AddRow(new string[] {
                        "100005",
                        "6 days after today",
                        "10",
                        "000004",
                        "21.00",
                        "U",
                        "not set",
                        "True",
                        "True",
                        "True",
                        "False"});
            table10.AddRow(new string[] {
                        "100005",
                        "7 days after today",
                        "10",
                        "000004",
                        "22.00",
                        "U",
                        "not set",
                        "True",
                        "False",
                        "False",
                        "False"});
            table10.AddRow(new string[] {
                        "100009",
                        "6 days after today",
                        "10",
                        "000012",
                        "12",
                        "U",
                        "not set",
                        "True",
                        "False",
                        "True",
                        "False"});
#line 80
testRunner.When("the following price change events exist in system without exact dates:", ((string)(null)), table10, "When ");
#line 86
testRunner.Then("Number of Price Changes including Stock not held by Store that are still pending " +
                    "is 3", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 87
testRunner.And("Number of Price Changes including Stock not held by Store for Today is 4", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 88
testRunner.And("Number of Price Changes including Stock not held by Store that are Overdue is 1", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Price Change Dashboard shows correct Price Change Audit Report Quantity")]
        public virtual void PriceChangeDashboardShowsCorrectPriceChangeAuditReportQuantity()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Price Change Dashboard shows correct Price Change Audit Report Quantity", ((string[])(null)));
#line 90
this.ScenarioSetup(scenarioInfo);
#line 91
testRunner.Given("Price Change table is empty", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 92
testRunner.And("Current system TOTDT date is yesterday", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            TechTalk.SpecFlow.Table table11 = new TechTalk.SpecFlow.Table(new string[] {
                        "SKU Number",
                        "Is Non-Stock Item",
                        "Is Obsolete",
                        "Is Auto Apply Price Changes",
                        "On Hand Stock Quantity",
                        "Mark-down Stock Quantity"});
            table11.AddRow(new string[] {
                        "100004",
                        "True",
                        "False",
                        "False",
                        "0",
                        "0"});
            table11.AddRow(new string[] {
                        "100005",
                        "True",
                        "True",
                        "False",
                        "3",
                        "0"});
            table11.AddRow(new string[] {
                        "100009",
                        "True",
                        "False",
                        "False",
                        "0",
                        "-3"});
            table11.AddRow(new string[] {
                        "100006",
                        "False",
                        "False",
                        "False",
                        "0",
                        "1"});
#line 93
testRunner.And("Stock Master contained next data for SKUs:", ((string)(null)), table11, "And ");
#line 99
testRunner.And("Recent Price for SKU \'100004\' was applied today manually with Price 22.00", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 100
testRunner.And("Recent Price for SKU \'100005\' was auto applied during yesterday Nightly Routine w" +
                    "ith Price 22.00", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 101
testRunner.And("Recent Price for SKU \'100009\' was auto applied during yesterday Nightly Routine w" +
                    "ith Price 12.00", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 102
testRunner.And("Recent Price for SKU \'100006\' was auto applied a week ago with Price 33.00", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            TechTalk.SpecFlow.Table table12 = new TechTalk.SpecFlow.Table(new string[] {
                        "SkuNumber",
                        "Date",
                        "Apply Price Date",
                        "Priority",
                        "Event number",
                        "Price",
                        "Status",
                        "Apply Date",
                        "Shelf Edge",
                        "Label small",
                        "Label medium",
                        "Label large"});
            table12.AddRow(new string[] {
                        "100004",
                        "today",
                        "yesterday",
                        "10",
                        "000004",
                        "20.00",
                        "S",
                        "not set",
                        "True",
                        "True",
                        "True",
                        "False"});
            table12.AddRow(new string[] {
                        "100004",
                        "tomorrow",
                        "today",
                        "10",
                        "000004",
                        "22.00",
                        "A",
                        "not set",
                        "True",
                        "True",
                        "True",
                        "False"});
            table12.AddRow(new string[] {
                        "100005",
                        "5 days before today",
                        "5 days before today",
                        "10",
                        "000004",
                        "20.00",
                        "A",
                        "not set",
                        "True",
                        "True",
                        "True",
                        "False"});
            table12.AddRow(new string[] {
                        "100005",
                        "6 days after today",
                        "6 days after today",
                        "10",
                        "000004",
                        "21.00",
                        "L",
                        "not set",
                        "True",
                        "True",
                        "True",
                        "False"});
            table12.AddRow(new string[] {
                        "100005",
                        "today",
                        "yesterday",
                        "10",
                        "000004",
                        "22.00",
                        "S",
                        "not set",
                        "True",
                        "False",
                        "False",
                        "False"});
            table12.AddRow(new string[] {
                        "100009",
                        "today",
                        "yesterday",
                        "10",
                        "000012",
                        "12.00",
                        "S",
                        "not set",
                        "True",
                        "False",
                        "True",
                        "False"});
            table12.AddRow(new string[] {
                        "100009",
                        "tomorrow",
                        "tomorrow",
                        "10",
                        "000012",
                        "12.00",
                        "U",
                        "not set",
                        "True",
                        "False",
                        "True",
                        "False"});
#line 103
testRunner.When("the following price change events exist in system without exact dates:", ((string)(null)), table12, "When ");
#line 112
testRunner.Then("Count of Price Change Audit Report is equal to 2", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
    }
}
#pragma warning restore
#endregion
